# Part
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons

## Class Part

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

Direct Known Subclasses:
  Colorable, Seat

    public class Part
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Part()`
`Part(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.Location` `applyExtraOffset(org.bukkit.Location loc)`
`void` `despawnStand()`
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Part

    public Part(java.lang.Double xOffset,
                java.lang.Double yOffset,
                java.lang.Double zOffset)

#### Part

    public Part()

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

#### despawnStand

    public void despawnStand()

#### applyExtraOffset

    public org.bukkit.Location applyExtraOffset(org.bukkit.Location loc)